const { ccclass, property } = cc._decorator;

@ccclass
export default class Login extends cc.Component {

    @property({ displayName: 'lbl毛币数量', type: cc.SpriteFrame })
    private sf_redbag: cc.SpriteFrame = null;
    
    onLoad() {
        
    }

    start() {


        // let start_node_pos = new cc.Vec2(0, -500)
        // let end_node_pos = new cc.Vec2(0, 500)
        // let fly_data = {
        //     node_p: this.node,
        //     item_count: 10,
        //     item_scale: [1, 2],
        //     item_sf: this.sf_redbag,
        //     start_pos: start_node_pos,
        //     end_pos: end_node_pos,
        //     complete_call: () => {
        //     },
        // }
        // this.node.emit('ui-fly-node', fly_data)
    }



    update() {
        if(!gData.loginData.loadResCompelete){
            gData.loginData.loadLocalRes();
            return;
        }
        if (!gData.loginData.isLogin) {
            gData.loginData.login();
            return;
        }
        if(gData.gameData.dataFinish){//登录流程完毕
            mk.ui.openPanel("game/prefab/game");
        }
    }
}